package com.shinsoft.sto.service.impl.ware;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.shinsoft.sto.mapper.ware.HDistributionMapper;
import com.shinsoft.sto.model.system.ResponseCodeMsg;
import com.shinsoft.sto.model.ware.HDistribution;
import com.shinsoft.sto.service.ware.HDistributionService;
import com.shinsoft.tools.JSONTools;
import com.shinsoft.sto.model.system.ResultJSON;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 历史配车单 服务实现类
 * </p>
 *
 * @author system
 * @since 2024-12-05
 */
@Service
public class HDistributionServiceImpl extends ServiceImpl<HDistributionMapper, HDistribution> implements HDistributionService {

    ResultJSON resultJSON;

    @Override
    public ResultJSON query(int page, int rows, Map<String, Object> map) {
        try {
            Page<HDistribution> pageParam = new Page<>(page, rows);
            IPage<HDistribution> result = baseMapper.selectHDistributionPage(pageParam, map);
            return ResultJSON.success(result);
        } catch (Exception ex) {
            ex.printStackTrace();
            return ResultJSON.error(ResponseCodeMsg.CODE_EX, ex.getMessage());
        }
    }
}

